Bug 478454 - undefined symbol: proxy_module
undefined symbol: proxy_module
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 08:04 EST by Jeroen van Meeuwen
Modified: 2010-06-28 07:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-12-30 08:04:27 EST
Description of problem:

proxy_module being loaded into httpd is a prerequisite for proxy_ajp to work. However, the /etc/httpd/conf.d/proxy_ajp.conf file does not check whether the proxy module has been loaded.

Not every setup needs the proxy_module to be loaded, along with maybe dozens of other modules that are loaded by default.

In managed environments, updated httpd packages will put back the /etc/httpd/conf.d/proxy_ajp.conf file, leaving httpd unable to restart if not also proxy_module is loaded:

Starting httpd: httpd: Syntax error on line 35 of /etc/httpd/conf/httpd.conf: Syntax error on line 2 of /etc/httpd/conf.d/proxy_ajp.conf: Cannot load /etc/httpd/modules/mod_proxy_ajp.so into server: /etc/httpd/modules/mod_proxy_ajp.so: undefined symbol: proxy_module

Version-Release number of selected component (if applicable):

httpd-2.2.10-2.x86_64

How reproducible:

Steps to Reproduce:
1. Manage /etc/httpd/ with (for example) puppet
2.
3.
  
Actual results:

proxy_ajp.conf prevents httpd from restarting properly, if proxy_module isn't loaded into httpd.

Expected results:

Either one of two:

1) proxy_ajp.conf loads mod_proxy if not already loaded:

<IfModule !mod_proxy.c>
    LoadModule proxy_module modules/mod_proxy.so
</IfModule>

LoadModule proxy_ajp_module modules/mod_proxy_ajp.so

2) mod_proxy_ajp.so is loaded only if proxy_module has been loaded:

<ifModule mod_proxy.c>
    LoadModule proxy_ajp_module modules/mod_proxy_ajp.so
</ifModule>

Additional info:

Option 2) is only valid if and when the proxy_module has already been loaded by the time proxy_ajp.conf is parsed, so option 1) is the most feasible IMO.
Comment 1 Bug Zapper 2009-06-09 06:32:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 08:39:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 07:03:01 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.